//  Copyright (C) 2014-20 - Davide Cappucci
//
//  This file is part of Robotics Toolbox for Scilab.
//
//  Robotics Toolbox is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 2 of the License, or
//  (at your option) any later version.
//
//  Robotics Toolbox is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
//
//  This toolbox is inspired to the Robotics Toolbox v9 for MATLAB 
//  by Peter Corke.

function l = %s_i_Link(field, v, l)
    //Corrispondente alla function set.I(l, v) di Link.m

    if field == "m" then    
        l.m = v;
    end

    if field == "I" then  
        l = set_I(l, v);
    end

    if field == "r" then
        l = set_r(l, v);
    end
    if field == "Jm" then
        l.Jm = v;
    end
    if field == "G" then
        l.G = v;
    end
    if field == "B" then
        l.B = v;
    end

    if field == "Tc" then     
        l = set_Tc(l, v);
    end
    //-------------------------------------------------------//
    //  Methods
    //-------------------------------------------------------//
    //       if field == "friction" then
    //            tau = friction(l, v);
    //            mprintf("FRICTION:\t tau = %d\n",tau);
    //            abort;
    //       end
    //ecc....
endfunction
