// This file is released under the 3-clause BSD license. See COPYING-BSD.

function builder_gw_c1()

  includes_src_c = ilib_include_flag(get_absolute_file_path("builder_gateway_c1.sce") + "../../src/c1");

  // PutLhsVar managed by user in sci_sum and in sci_sub
  // if you do not this variable, PutLhsVar is added
  // in gateway generated (default mode in scilab 4.x and 5.x)
  // WITHOUT_AUTO_PUTLHSVAR = %t;
    
  tbx_build_gateway("Frne",                        ..
                    ["frne","frne"],                       ..
                    ["sci_frne.c"],                                ..
                    get_absolute_file_path("builder_gateway_c1.sce"),  ..
                    ["../../src/c1/libFrne"],                 ..
                    "",                                               ..
                    includes_src_c);

endfunction


builder_gw_c1();
clear builder_gw_c1; // remove builder_gw_c on stack
